Subject: [alpine-aports] [PATCH] testing/perl-test-unit: new aport

From: Valery Kartel <[email-masked]>
Date: Sat, 15 Apr 2017 02:42:41 +0300

A unit testing framework
http://search.cpan.org/dist/Test-Unit
---
 testing/perl-test-unit/APKBUILD       | 51 +++++++++++++++++++++++++++++++++++
 testing/perl-test-unit/testcase.patch | 11 ++++++++
 2 files changed, 62 insertions(+)
 create mode 100644 testing/perl-test-unit/APKBUILD
 create mode 100644 testing/perl-test-unit/testcase.patch

diff --git a/testing/perl-test-unit/APKBUILD b/testing/perl-test-unit/APKBUILD
new file mode 100644
index 0000000000..61b9376523
--- /dev/null
+++ b/testing/perl-test-unit/APKBUILD
@@ -0,0 +1,51 @@
+# Automatically generated by apkbuild-cpan, template 2
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=perl-test-unit
+_pkgreal=Test-Unit
+pkgver=0.25
+pkgrel=0
+pkgdesc="A unit testing framework"
+url="http://search.cpan.org/dist/Test-Unit/"
+arch="noarch"
+license="GPL PerlArtistic"
+options="!check"
+cpandepends="perl-class-inner perl-error perl-devel-symdump"
+cpanmakedepends=""
+cpancheckdepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+checkdepends="$cpancheckdepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MC/MCAST/$_pkgreal-$pkgver.tar.gz
+	testcase.patch"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	default_prepare || return 1
+
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	make
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+check() {
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	make test
+}
+
+sha512sums="8f76583c7480eec825080eb6cd94d1b1a1c7c3bc7f297607414c95777e9a9f880b5a0d927a41521389ae50c2ba1b9ec3d76149da47d5997add739970df6b154d  Test-Unit-0.25.tar.gz
+d7e874a687f93347cb03b403b55a9a765caa38aed1f24c437c6e4a43d287084366aff5a97b4990487f00979288146a29d36989059c8e83b702824348c0f86bc5  testcase.patch"
diff --git a/testing/perl-test-unit/testcase.patch b/testing/perl-test-unit/testcase.patch
new file mode 100644
index 0000000000..9f28755591
--- /dev/null
+++ b/testing/perl-test-unit/testcase.patch
@@ -0,0 +1,11 @@
+--- a/lib/Test/Unit/TestCase.pm
++++ b/lib/Test/Unit/TestCase.pm
+@@ -103,7 +103,7 @@
+     my $class = ref($_[0]) || $_[0];
+     my @tests = ();
+     no strict 'refs';
+-    if (defined(@{"$class\::TESTS"})) {
++    if (@{"$class\::TESTS"}) {
+         push @tests, @{"$class\::TESTS"};
+     }
+     else {
-- 
2.12.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---